# $Revision: 1.135.2.1 $, $Date: 2003/01/24 11:14:03 $
#
# Conditional build:
# _without_static	- without static version
# _without_athena	- without Athena Widgets-based gvim
# _without_motif	- without Motif-based gvim
# _without_gtk		- without gtk+-based gvim support
# _without_gnome	- without gnome-based gvim support
# _with_perl		- with perl interp
# _with_python		- with python interp
# _with_ruby		- with ruby interp
# _with_tcl		- with tcl interp

%define		_ver		6.1
%define		_patchlevel	300

Summary:	Vi IMproved - a Vi clone
Summary(de):	VIsual editor iMproved
Summary(es):	Editor visual incrementado
Summary(fr):	Editeur VIM : VIsual editor iMproved
Summary(pl):	Vi IMproved - klon edytora Vi
Summary(pt_BR):	Editor visual incrementado
Summary(ru):	Visual editor IMproved -    :)
Summary(tr):	Gelimi bir vi srm
Summary(uk):	Visual editor IMproved -    :)
Name:		vim
Version:	%{_ver}.%{_patchlevel}
Release:	2
Epoch:		4
License:	Charityware
Group:		Applications/Editors/Vim
Source0:	ftp://ftp.vim.org/pub/editors/vim/unix/%{name}-%{_ver}.tar.bz2
Source1:	ftp://ftp.vim.org/pub/editors/vim/extra/%{name}-%{_ver}-lang.tar.gz
Source2:	ftp://ftp.vim.org/pub/editors/vim/extra/%{name}-%{_ver}-extra.tar.gz
# packed from	ftp://ftp.vim.org/pub/editors/vim/patches/6.1.*
Source3:	%{name}-patches-%{_ver}.%{_patchlevel}.tar.bz2
Source4:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
Source10:	g%{name}-athena.desktop
Source11:	g%{name}-motif.desktop
Source12:	g%{name}-gtk.desktop
Source13:	g%{name}-gnome.desktop
Patch0:		%{name}-sysconfdir.patch
Patch1:		%{name}-visual.patch
Patch2:		%{name}-paths.patch
Patch3:		%{name}-ispell.patch
Patch4:		%{name}-ispell-axp.patch
Patch5:		%{name}-ac25x.patch
Patch6:		%{name}-vimrc.patch
Patch7:		%{name}-no_libelf.patch
Patch8:		%{name}-egrep.patch
Patch9:		%{name}-ocaml.patch
URL:		http://www.vim.org/
BuildRequires:	acl-devel
BuildRequires:	autoconf
BuildRequires:	gettext-devel
BuildRequires:	gpm-devel
BuildRequires:	ncurses-devel
%{!?_without_gnome:BuildRequires:	gnome-libs-devel}
%{!?_without_gtk:BuildRequires:		gtk+-devel}
%{!?_without_motif:BuildRequires:	motif-devel}
%{!?_without_static:BuildRequires:	glibc-static}
%{!?_without_static:BuildRequires:	ncurses-static}
%{?_with_perl:BuildRequires:		perl-devel}
%{?_with_python:BuildRequires:		python-devel}
%{?_with_ruby:BuildRequires:		ruby}
%{?_with_tcl:BuildRequires:		tcl-devel}
Requires:	%{name}-rt = %{version}
%{?_without_static:Requires:	%{name}-static = %{version}}
Obsoletes:	vim-enhanced
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Text editor similar to Vi. Important improvements: multiple windows,
multi-level undo, block highliting, folding, and many other.

%description -l cs
ViM je nov a vylepen editor vychzejc z klasickho editoru vi. Vi
byl prvnm celoobrazovkovm editorem pro Unix a je stle velmi
populrn. ViM je obohacen funkcemi jako: podpora vce oken,
vcerovov undo, zvrazovn blok a adu dalch uitench
funkc.

%description -l de
Der Visual-Editor iMproved ist ein aktualisierter und erweiterter Klon
des vi-Editors, der mit praktisch allen UN*X-Systemen ausgeliefert
wird. Er bringt mehrere Fenster, mehrstufige Widerrufen-Funktion,
Block-Markierung und viele weitere Zusatzfunktionen im Vergleich zum
Standard-vi-Programm.

%description -l es
El editor Visual Mejorado es una versin actualizada y con nuevas
caractersticas adicionales del mundialmente famoso 'vi' que acompaa
prcticamente todos los sistemas UN*X. Posibilita trabajar con
mltiples ventanas, varios niveles de deshacer, bloques enfatizados, y
otras muchas caractersticas del 'vi'.

%description -l fr
L'diteur VIsuel aMlior est un clone mis  jour et dot de
caractristiques supplmentaires de l'diteur  vi  fourni avec
pratiquement tous les systmes UN*X. Il ajoute les fentres
mutltiples, l'annulation a plusieurs niveaux, la mise en vidence des
blocs et autres caractristiques au vi de base.

%description -l id
VIM (VIsual editor iMproved) adalah versi vi editor yang sudah
diupdate dan ditambah kemampuannya. Vi adalah editor untuk UNIX yang
pertama yang menggunakan layar, dan sekarang masih sangat populer. VIM
mengembangkan vi dengan menambah kemampuan baru seperti: multiple
windows, multi-level undo, block highlighting, dll.

%description -l is
VIM (VIsual editor iMproved) er uppfr og endurbtt tgfa af vi
ritlinum. Vi var fyrsti skj-ritillinn fyrir UNIX og er enn mjg
vinsll. VIM gerist furbetrungur me njum mguleikum lkt og
gluggakerfi, irun og yfirbt (e: multi-level undo), blokkarvali og
fleira.

%description -l it
VIM (Vi IMproved)  una versione aggiornata e perfezionata dell'editor
vi. Vi  stato il primo editor per UNIX realmente basato su video ed 
ancora molto diffuso. VIM perfeziona vi aggiungendo nuove funzioni:
finestre multiple, funzione \"annulla\" multilivello, evidenziazione
dei blocchi e altro.

%description -l pl
Edytor tekstu podobny do Vi. Wane ulepszenia: moliwo pracy w wielu
oknach, wielopoziomowa opcja 'cofnij', bloki, podwietlanie skadni,
folding i wiele innych.

%description -l ja
O VIM (VIsual editor iMproved)  uma verso melhorada e actualizada do
editor vi. O vi foi o primeiro verdadeiro editor baseado em ecr para
o UNIX, e ainda  muito popular. O VIM melhora o vi acrescentando
novas potencialidades: janelas mltiplas, anulao multi-nvel, realce
de blocos e mais.

%description -l pt_BR
O editor Vim (Vi Enhanced)  um verso atualizada e com novas
caractersticas do mundialmente famoso 'vi' que acompanha praticamente
todos os sistemas UN*X. Ele possibilita trabalhar com mltiplas
janelas, vrios nveis de desfazer, blocos enfatizados, e muitas
outras caractersticas do 'vi'.

%description -l ru
VIsual editor iMproved -      
 vi,     
UN*X-.      , 
,     ...

%description -l sk
VIM (VIsual editor iMproved) je novia a vylepen verzia editoru vi.
Vi bol prvm skutone obrazovkovo orientovanm editorom pre UNIX a
stle je vemi populrny. VIM m oproti vi vylepenia ako: prcu s
viacermi oknami, viacnsobn undo, zvrazovanie blokov textu a in.

%description -l sv
VIM (Vi IMproved) r en uppdaterad och frbttrad version av
redigeraren vi. Vi var den frsta riktiga skrmbaserade redigeraren
till UNIX, och r fortfarande vldigt populr. VIM frbttrar vi med
nya finesser: flera fnster, flerniv ngra, blockmarkering och mer
nd.

%description -l tr
Standart vi metin dzenleyicisinin gelimi hali; daha fazla komut,
birden fazla pencere destei ve blok iaretleme yetenekleri ierir.

%description -l uk
VIsual editor iMproved -     ̦ 
 vi,  Ѥ  ڦ Ӧ UN*X-. 
æ Ӧ  Ҧ צ, Ħ ˦, 
Цצ   ...

%package -n xxd
Summary:	Utility to convert files to hexdump or do the reverse
Summary(pl):	Narzdzie do zamiany plikw na posta szesnastkow i odwrotnie
Group:		Applications/Editors/Vim

%description -n xxd
xxd creates a hex dump of a given file or standard input. It can also
convert a hex dump back to its original binary form. Like uuencode and
uudecode it allows the transmission of binary data in a `mail-safe'
ASCII representation, but has the advantage of decoding to standard
output. Moreover, it can be used to perform binary file patching.

%description -n xxd -l pl
xxd tworzy szesnastkowy zapis pliku podanego na standardowe wejcie.
Moe take przekonwertowa taki zapis na oryginaln, binarn posta.
Podobnie jak uuencode i uudecode pozwala na przesyanie danych
binarnych w postaci ASCII, ale ma moliwo dekodowania na standardowe
wyjcie. Co wicej, moe by uyty do modyfikowania plikw binarnych.

%package static
Summary:	Statically linked Vim
Summary(pl):	Statycznie skonsolidowany Vim
Group:		Applications/Editors/Vim
Provides:	vi
Obsoletes:	vi
Obsoletes:	elvis-static
Obsoletes:	nvi
Obsoletes:	vim-minimal

%description static
Text editor similar to Vi. This version is built with minimal feature
and is installed in /bin as a rescue tool. The installation of this
package is STRONGLY recommended.

%description static -l pl
Edytor tekstu podobny do Vi. Ta wersja zostaa zlinkowana statycznie i
posiada minimaln ilo dodatkw. Jest instalowana w /bin jako
narzdzie dla administratora. Instalacja tego pakietu jest MOCNO
zalecana, moe on pomc Ci uratowa system w czasie awarii.

%description static -l ru
 vim-static   vim  /bin/vi, 
        
.

%description static -l uk
 vim-static  Ҧ vim  /bin/vi,   
 צ Ħ,   Ԧ   .

%package ispell
Summary:	Vim with ispell support
Summary(pl):	Vim z wsparciem dla ispella
Group:		Applications/Editors/Vim
Requires:	%{name}-rt = %{version}
Conflicts:	ispell >= 3.2.06
Conflicts:	ispell-pl >= 20021127-2

%description ispell
Text editor similar to Vi. This version is built with ispell support.

%description ispell -l pl
Edytor tekstu podobny do Vi. Ta wersja zostaa skompilowana ze
wsparciem dla ispella.

%package rt
Summary:	Vim runtime files
Summary(cs):	Soubory nezbytn pro libovoln editor ViM
Summary(da):	Flles filer som er ndvendige for enhver version af VIM editoren
Summary(de):	Die von allen Versionen des VIM-Editors bentigten gemeinsamen Dateien
Summary(es):	Ficheros comunes a todas las versiones de VIM
Summary(fr):	Fichiers communs indispensables pour toute version de l'diteur VIM
Summary(id):	File umum yang dibutuhkan oleh semua versi editor VIM
Summary(is):	Grunnskrr sem allar tgfur VIM ritilsins urfa  a halda
Summary(it):	File comuni necessari per tutte le versioni dell'editor VIM
Summary(ja):	٤ƤΥС VIM ǥɬפȤ붦̥ե
Summary(no):	Felles filer som er ndvendige for enhver versjon av VIM editoren
Summary(pl):	Pliki przydatne edytorowi Vim
Summary(pt):	Os ficheiros comuns necessrios para qualquer verso do editor VIM
Summary(ru):	,      vim
Summary(sk):	Spolon sbory potrebn pre vetky verzie editoru VIM
Summary(sl):	Skupne datoteke, potrebne s katerokoli razliico urejevalnika VIM
Summary(sv):	De gemensamma filerna som behvs av alla versioner av redigeraren VIM
Summary(uk):	, ҦΦ  -ϧ Ӧ  vim
Summary(zh_CN):	κΰ汾 VIM ༭Ĺļ
Group:		Applications/Editors/Vim
Requires:	mktemp
Requires:	which
Obsoletes:	vim-common

%description rt
This package contains macros, documentation, syntax configuration and
manual pages for Vim. If you want to take advantage of Vim more
powerful features, you should install this package.

%description rt -l cs
Tento balek obsahuje spolen soubory pro vechny dal balky s
vim.

%description rt -l da
The vim-rt package contains files which every VIM binary will need in
order to run.

%description rt -l de
Das Paket vim-rt enthlt Dateien, die jede VIM-Binrdatei fr die
Ausfhrung bentigt.

%description rt -l es
The vim-rt package contains files which every VIM binary will need in
order to run.

%description rt -l fr
Le paquetage vim-rt contient des fichiers dont chaque fichier binaire
VIM a besoin pour fonctionner.

%description rt -l id
Package vim-rt berisi file yang dibutuhkan semua versi VIM agar bisa
berjalan.

%description rt -l is
vim-rt pakkinn inniheldur skrr sem allar VIM keyrsluskrrnar urfa
til a keyra.

%description rt -l it
Il pacchetto vim-rt contiene i file necessari a ogni binario di VIM
per poter funzionare.

%description rt -l pl
W tym pakiecie znajdziesz dokumentacj, makra, pliki konfiguracyjne i
strony podrcznika dla edytora Vim. Jeeli chcesz korzysta z
zaawansowanych moliwoci Vima, powiniene zainstalowa ten pakiet.

%description rt -l pt
O pacote vim-rt contm os ficheiros que todos os executveis do VIM
iro necessitar para correr.

%description rt -l ru
 vim-rt   (,  ),  
    vim.

%description rt -l sk
Balk vim-rt obsahuje sbory, ktor bude potrebova pre sprvnu
funkciu kad verzia editoru VIM.

%description rt -l sv
Paketet vim-rt innehller filer som alla VIM-binrer behver fr att
kra.

%description rt -l uk
 vim-rt ͦ  (,  צ), Ҧ ҦΦ
  -ϧ  vim.

%package -n gvim-athena
Summary:	Vim for X Window built with Athena
Summary(pl):	Vim dla X Window korzystajcy z biblioteki Athena
Group:		Applications/Editors/Vim
Requires:	%{name}-rt = %{version}
Requires:	iconv
Obsoletes:	vim-X11

%description -n gvim-athena
The classic Unix text editor now also under X Window System! This
version is built with Athena Widget Set.

%description -n gvim-athena -l pl
Wersja edytora Vim pracujca w rodowisku X Window z wykorzystaniem
biblioteki Athena Widget Set.

%description -n gvim-athena -l ru
     VIM,   
Athena Widget Set,    VIM   X Window
System -       .

%description -n gvim-athena -l uk
  ͦ Ӧ VIM, ڦ  ¦̦ Athena Widget
Set,  Ѥ  VIM    X Window System -
 Φ Ʀ   Ц ۦ.

%package -n gvim-motif
Summary:	Vim for X Window built with Motif
Summary(pl):	Vim dla X Window korzystajcy z biblioteki Motif
Group:		Applications/Editors/Vim
Requires:	%{name}-rt = %{version}
Requires:	iconv
Obsoletes:	vim-X11

%description -n gvim-motif
The classic Unix text editor now also under X Window System! This
version is built with Motif.

%description -n gvim-motif -l pl
Wersja edytora Vim pracujca w rodowisku X Window z wykorzystaniem
biblioteki Motif.

%description -n gvim-motif -l ru
     VIM,   
Motif,    VIM   X Window System - 
     .

%description -n gvim-motif -l uk
  ͦ Ӧ VIM, ڦ  ¦̦ Motif, 
Ѥ  VIM    X Window System - 
Φ Ʀ   Ц ۦ.

%package -n gvim-gtk
Summary:	Vim for X Window built with gtk
Summary(pl):	Vim dla X Window korzystajcy z biblioteki GTK
Group:		Applications/Editors/Vim
Requires:	%{name}-rt = %{version}
Requires:	iconv
Obsoletes:	vim-X11

%description -n gvim-gtk
The classic Unix text editor now also under X Window System! This
version is built with GTK.

%description -n gvim-gtk -l pl
Wersja edytora Vim pracujca w rodowisku X Window z wykorzystaniem
biblioteki GTK.

%description -n gvim-gtk -l ru
     VIM,   
GTK,    VIM   X Window System - 
     .  
'gvim'...

%description -n gvim-gtk -l uk
  ͦ Ӧ VIM, ڦ  ¦̦ GTK,  Ѥ
 VIM    X Window System -  Φ
Ʀ   Ц ۦ.  ֦ 'gvim'...

%package -n gvim-gnome
Summary:	Vim for X Window built with gnome
Summary(pl):	Vim dla X Window korzystajcy z biblioteki GNOME
Group:		Applications/Editors/Vim
Requires:	%{name}-rt = %{version}
Requires:	iconv
Obsoletes:	vim-X11

%description -n gvim-gnome
The classic Unix text editor now also under X Window System! This
version is build with GNOME.

%description -n gvim-gnome -l pl
Wersja edytora Vim pracujca w rodowisku X Window z wykorzystaniem
bibliotek GNOME.

%description -n gvim-gnome -l ru
     VIM,   
GNOME,    VIM   X Window System - 
     .

%description -n gvim-gnome -l uk
  ͦ Ӧ VIM, ڦ  ¦̦ GNOME, 
Ѥ  VIM    X Window System - 
Φ Ʀ   Ц ۦ.

%prep
## setup -q -b1 -b2 -n %{name}%(echo %{version} | sed -e "s#\.##g")
%setup -q -b1 -b2 -a3 -n %{name}%(echo %{_ver} | sed -e "s#\.##g")

# skiping patches that are for "extra" package and apply the rest of official patches
for f in patches/6.1.* ; do
	echo "Applying official patch `basename $f` ..."
	patch -s -p0 < $f
done

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%ifarch alpha
%patch4 -p1
%endif
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

%build
cd src
%{__autoconf}
# needed to prevent deconfiguring
cp -f configure auto

%if %{!?_without_static:1}%{?_without_static:0}
%{__make} distclean
LDFLAGS="%{rpmldflags} -static"
%configure \
	--disable-gui \
	--without-x \
	--disable-perlinterp \
	--disable-pythoninterp \
	--disable-rubyinterp \
	--disable-tclinterp \
	--disable-cscope \
	--disable-gpm \
	--disable-multibyte \
	--with-features=small \
	--with-tlib=tinfo \
	--disable-nls

%{__make} SPELL_OBJ= vim
mv -f vim vim.static
LDFLAGS="%{rpmldflags}"
%endif

%configure \
	--disable-gui \
	--without-x \
	%{!?_with_perl:--disable-perlinterp} \
	%{?_with_perl:--enable-perlinterp} \
	%{!?_with_python:--disable-pythoninterp} \
	%{?_with_python:--enable-pythoninterp} \
	%{!?_with_ruby:--disable-rubyinterp} \
	%{?_with_ruby:--enable-rubyinterp} \
	%{!?_with_tcl:--disable-tclinterp} \
	%{?_with_tcl:--enable-tclinterp} \
	--enable-cscope \
	--enable-gpm \
	--with-features=huge \
	--enable-multibyte \
	--with-tlib=ncurses \
	--enable-nls

%{__make} SPELL_OBJ= vim
mv -f vim vim.ncurses
%{__make} xxd/xxd

%{__make} distclean
%configure CFLAGS="%{rpmcflags} -DFEAT_SPELL_HL" \
	--disable-gui \
	--without-x \
	%{!?_with_perl:--disable-perlinterp} \
	%{?_with_perl:--enable-perlinterp} \
	%{!?_with_python:--disable-pythoninterp} \
	%{?_with_python:--enable-pythoninterp} \
	%{!?_with_ruby:--disable-rubyinterp} \
	%{?_with_ruby:--enable-rubyinterp} \
	%{!?_with_tcl:--disable-tclinterp} \
	%{?_with_tcl:--enable-tclinterp} \
	--enable-cscope \
	--enable-gpm \
	--with-features=huge \
	--enable-multibyte \
	--with-tlib=ncurses \
	--enable-nls

%{__make} vim
mv -f vim vim.ispell

%if %{!?_without_athena:1}%{?_without_athena:0}
%{__make} distclean
%configure CFLAGS="%{rpmcflags} -DFEAT_SPELL_HL" \
	--with-features=huge \
	--enable-gui=athena \
	--with-x \
	%{!?_with_perl:--disable-perlinterp} \
	%{?_with_perl:--enable-perlinterp} \
	%{!?_with_python:--disable-pythoninterp} \
	%{?_with_python:--enable-pythoninterp} \
	%{!?_with_ruby:--disable-rubyinterp} \
	%{?_with_ruby:--enable-rubyinterp} \
	%{!?_with_tcl:--disable-tclinterp} \
	%{?_with_tcl:--enable-tclinterp} \
	--enable-cscope \
	--enable-fontset \
	--disable-gpm \
	--without-gnome \
	--enable-nls
%{__make} vim
mv -f vim gvim.athena
%endif

%if %{!?_without_motif:1}%{?_without_motif:0}
%{__make} distclean
%configure CFLAGS="%{rpmcflags} -DFEAT_SPELL_HL" \
	--with-features=huge \
	--enable-gui=motif \
	--with-x \
	%{!?_with_perl:--disable-perlinterp} \
	%{?_with_perl:--enable-perlinterp} \
	%{!?_with_python:--disable-pythoninterp} \
	%{?_with_python:--enable-pythoninterp} \
	%{!?_with_ruby:--disable-rubyinterp} \
	%{?_with_ruby:--enable-rubyinterp} \
	%{!?_with_tcl:--disable-tclinterp} \
	%{?_with_tcl:--enable-tclinterp} \
	--enable-multibyte \
	--enable-cscope \
	--enable-fontset \
	--disable-gpm \
	--without-gnome \
	--enable-nls
%{__make} vim
mv -f vim gvim.motif
%endif

%if %{!?_without_gtk:1}%{?_without_gtk:0}
%{__make} distclean
%configure CFLAGS="%{rpmcflags} -DFEAT_SPELL_HL" \
	--with-features=huge \
	--enable-gui=gtk \
	--with-x \
	%{!?_with_perl:--disable-perlinterp} \
	%{?_with_perl:--enable-perlinterp} \
	%{!?_with_python:--disable-pythoninterp} \
	%{?_with_python:--enable-pythoninterp} \
	%{!?_with_ruby:--disable-rubyinterp} \
	%{?_with_ruby:--enable-rubyinterp} \
	%{!?_with_tcl:--disable-tclinterp} \
	%{?_with_tcl:--enable-tclinterp} \
	--disable-gpm \
	--enable-cscope \
	--enable-fontset \
	--enable-nls
%{__make} vim
mv -f vim gvim.gtk
%endif

%if %{!?_without_gnome:1}%{?_without_gnome:0}
%{__make} distclean
%configure CFLAGS="%{rpmcflags} -DFEAT_SPELL_HL" \
	--with-features=huge \
	--enable-gui=gnome \
	--with-x \
	%{!?_with_perl:--disable-perlinterp} \
	%{?_with_perl:--enable-perlinterp} \
	%{!?_with_python:--disable-pythoninterp} \
	%{?_with_python:--enable-pythoninterp} \
	%{!?_with_ruby:--disable-rubyinterp} \
	%{?_with_ruby:--enable-rubyinterp} \
	%{!?_with_tcl:--disable-tclinterp} \
	%{?_with_tcl:--enable-tclinterp} \
	--disable-gpm \
	--enable-cscope \
	--enable-fontset \
	--enable-nls
%{__make} vim
mv -f vim gvim.gnome
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/vim,%{_bindir}} \
	$RPM_BUILD_ROOT{/bin,%{_mandir}/man1,%{_datadir}/vim} \
	$RPM_BUILD_ROOT{%{_prefix}/X11R6/bin,%{_applnkdir}/Editors}

%{__make} install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_bindir}/*

%{!?_without_static:install src/vim.ncurses	$RPM_BUILD_ROOT%{_bindir}/vim}
%{?_without_static:install src/vim.ncurses	$RPM_BUILD_ROOT/bin/vi}
%{!?_without_static:install src/vim.static	$RPM_BUILD_ROOT/bin/vi}
%{?_without_static:ln -sf /bin/vi		$RPM_BUILD_ROOT%{_bindir}/vim}
install src/vim.ispell				$RPM_BUILD_ROOT%{_bindir}/vim.ispell
install src/xxd/xxd				$RPM_BUILD_ROOT%{_bindir}/xxd
install src/vimtutor				$RPM_BUILD_ROOT%{_bindir}/vimtutor

rm -f $RPM_BUILD_ROOT%{_mandir}/man1/*.1

install runtime/doc/vim.1 $RPM_BUILD_ROOT%{_mandir}/man1
install runtime/doc/xxd.1 $RPM_BUILD_ROOT%{_mandir}/man1

install runtime/doc/vimtutor.1 $RPM_BUILD_ROOT%{_mandir}/man1

echo ".so vim.1" > $RPM_BUILD_ROOT%{_mandir}/man1/ex.1
echo ".so vim.1" > $RPM_BUILD_ROOT%{_mandir}/man1/rview.1
echo ".so vim.1" > $RPM_BUILD_ROOT%{_mandir}/man1/rvim.1
echo ".so vim.1" > $RPM_BUILD_ROOT%{_mandir}/man1/vi.1
echo ".so vim.1" > $RPM_BUILD_ROOT%{_mandir}/man1/view.1


mv -f $RPM_BUILD_ROOT%{_datadir}/vim/v*/vimrc_example.vim $RPM_BUILD_ROOT%{_sysconfdir}/vim/vimrc
mv -f $RPM_BUILD_ROOT%{_datadir}/vim/v*/gvimrc_example.vim $RPM_BUILD_ROOT%{_sysconfdir}/vim/gvimrc

ln -sf vim $RPM_BUILD_ROOT%{_bindir}/rvim
ln -sf vi  $RPM_BUILD_ROOT/bin/ex
ln -sf vi  $RPM_BUILD_ROOT/bin/view
ln -sf vi  $RPM_BUILD_ROOT/bin/rview

%{!?_without_athena:install src/gvim.athena	$RPM_BUILD_ROOT%{_prefix}/X11R6/bin/gvim.athena}
%{!?_without_motif: install src/gvim.motif	$RPM_BUILD_ROOT%{_prefix}/X11R6/bin/gvim.motif}
%{!?_without_gtk:   install src/gvim.gtk	$RPM_BUILD_ROOT%{_prefix}/X11R6/bin/gvim.gtk}
%{!?_without_gnome: install src/gvim.gnome	$RPM_BUILD_ROOT%{_prefix}/X11R6/bin/gvim.gnome}

%{!?_without_gtk:ln -sf gvim.gtk		$RPM_BUILD_ROOT%{_prefix}/X11R6/bin/gvim}
%{!?_without_gtk:ln -sf gvim			$RPM_BUILD_ROOT%{_prefix}/X11R6/bin/rgvim}
%{!?_without_gtk:ln -sf gvim			$RPM_BUILD_ROOT%{_prefix}/X11R6/bin/gview}
%{!?_without_gtk:ln -sf gvim			$RPM_BUILD_ROOT%{_prefix}/X11R6/bin/rgview}

%{!?_without_athena:install %{SOURCE10}		$RPM_BUILD_ROOT%{_applnkdir}/Editors}
%{!?_without_motif: install %{SOURCE11}		$RPM_BUILD_ROOT%{_applnkdir}/Editors}
%{!?_without_gtk:   install %{SOURCE12}		$RPM_BUILD_ROOT%{_applnkdir}/Editors}
%{!?_without_gnome: install %{SOURCE13}		$RPM_BUILD_ROOT%{_applnkdir}/Editors}

bzip2 -dc %{SOURCE4} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/vim
%attr(755,root,root) %{_bindir}/rvim

%files ispell
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/vim.ispell

%files -n xxd
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xxd
%{_mandir}/man1/xxd.1*

%files static
%defattr(644,root,root,755)
%attr(755,root,root) /bin/*

%{_mandir}/man1/vi.1*
%{_mandir}/man1/ex.1*
%{_mandir}/man1/view.1*
%{_mandir}/man1/rview.1*
%lang(fi) %{_mandir}/fi/man1/vi.1*
%lang(fi) %{_mandir}/fi/man1/ex.1*
%lang(fi) %{_mandir}/fi/man1/view.1*
%lang(fi) %{_mandir}/fi/man1/rview.1*
%lang(fr) %{_mandir}/fr/man1/vi.1*
%lang(fr) %{_mandir}/fr/man1/ex.1*
%lang(fr) %{_mandir}/fr/man1/view.1*
%lang(fr) %{_mandir}/fr/man1/rview.1*
%lang(id) %{_mandir}/id/man1/vi.1*
%lang(id) %{_mandir}/id/man1/ex.1*
%lang(id) %{_mandir}/id/man1/view.1*
%lang(id) %{_mandir}/id/man1/rview.1*
%lang(pl) %{_mandir}/pl/man1/vi.1*
%lang(pl) %{_mandir}/pl/man1/ex.1*
%lang(pl) %{_mandir}/pl/man1/view.1*
%lang(pl) %{_mandir}/pl/man1/rview.1*

%files rt
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/vimtutor
%dir %{_sysconfdir}/vim
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/vim/vimrc
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/vim/gvimrc

%dir %{_datadir}/vim
%dir %{_datadir}/vim/v*
%dir %{_datadir}/vim/v*/doc
%{_datadir}/vim/v*/doc/*.txt
%verify(not size mtime md5) %{_datadir}/vim/v*/doc/tags
%{_datadir}/vim/v*/ftplugin
%{_datadir}/vim/v*/indent
%{_datadir}/vim/v*/keymap
%dir %{_datadir}/vim/v*/lang
%{_datadir}/vim/v*/lang/README*

%lang(af) %{_datadir}/vim/v*/lang/af
%lang(de) %{_datadir}/vim/v*/lang/de
%lang(es) %{_datadir}/vim/v*/lang/es
%lang(fr) %{_datadir}/vim/v*/lang/fr
%lang(it) %{_datadir}/vim/v*/lang/it
%lang(ja) %{_datadir}/vim/v*/lang/ja*
%lang(ko) %{_datadir}/vim/v*/lang/ko
%lang(pl) %{_datadir}/vim/v*/lang/pl
%lang(sk) %{_datadir}/vim/v*/lang/sk
#%lang(tr) %{_datadir}/vim/v*/lang/tr
%lang(uk) %{_datadir}/vim/v*/lang/uk
%lang(zh_CN) %{_datadir}/vim/v*/lang/zh_CN*
%lang(zh_TW) %{_datadir}/vim/v*/lang/zh_TW

%lang(af) %{_datadir}/vim/v*/lang/menu_af_af*
%lang(cs) %{_datadir}/vim/v*/lang/menu_cs_cz*
%lang(de) %{_datadir}/vim/v*/lang/menu_de_de*
%lang(es) %{_datadir}/vim/v*/lang/menu_es_es*
%lang(fr) %{_datadir}/vim/v*/lang/menu_fr_fr*
%lang(hu) %{_datadir}/vim/v*/lang/menu_hu_hu*
%lang(it) %{_datadir}/vim/v*/lang/menu_it_it*
%lang(ja) %{_datadir}/vim/v*/lang/menu_ja_jp*
%lang(ko) %{_datadir}/vim/v*/lang/menu_ko_kr*
%lang(nl) %{_datadir}/vim/v*/lang/menu_nl_nl*
%lang(pl) %{_datadir}/vim/v*/lang/menu_pl_pl*
%lang(sk) %{_datadir}/vim/v*/lang/menu_sk_sk*
%lang(zh_CN) %{_datadir}/vim/v*/lang/menu_zh_cn*
%lang(zh_TW) %{_datadir}/vim/v*/lang/menu_zh_tw*

%{_datadir}/vim/v*/macros
%{_datadir}/vim/v*/plugin
%{_datadir}/vim/v*/syntax
%{_datadir}/vim/v*/tutor
%{_datadir}/vim/v*/colors
%{_datadir}/vim/v*/compiler
%{_datadir}/vim/v*/*.vim
%{_datadir}/vim/v*/*.ps

%{_mandir}/man1/vim*
%{_mandir}/man1/rvim.*
%lang(fi) %{_mandir}/fi/man1/vim*
%lang(fi) %{_mandir}/fi/man1/rvim.*
%lang(fr) %{_mandir}/fr/man1/vim*
%lang(fr) %{_mandir}/fr/man1/rvim.*
%lang(id) %{_mandir}/id/man1/vim*
%lang(id) %{_mandir}/id/man1/rvim.*
%lang(it) %{_mandir}/it/man1/vim*
%lang(pl) %{_mandir}/pl/man1/vim*
%lang(pl) %{_mandir}/pl/man1/rvim.*

%if %{!?_without_athena:1}%{?_without_athena:0}
%files -n gvim-athena
%defattr(644,root,root,755)
%attr(755,root,root) %{_prefix}/X11R6/bin/gvim.athena
%{_applnkdir}/Editors/gvim-athena.desktop
%endif

%if %{!?_without_motif:1}%{?_without_motif:0}
%files -n gvim-motif
%defattr(644,root,root,755)
%attr(755,root,root) %{_prefix}/X11R6/bin/gvim.motif
%{_applnkdir}/Editors/gvim-motif.desktop
%endif

%if %{!?_without_gtk:1}%{?_without_gtk:0}
%files -n gvim-gtk
%defattr(644,root,root,755)
%attr(755,root,root) %{_prefix}/X11R6/bin/gvim.gtk
%attr(755,root,root) %{_prefix}/X11R6/bin/rgvim
%attr(755,root,root) %{_prefix}/X11R6/bin/rgview
%attr(755,root,root) %verify(not link) %{_prefix}/X11R6/bin/gvim
%{_applnkdir}/Editors/gvim-gtk.desktop
%endif

%if %{!?_without_gnome:1}%{?_without_gnome:0}
%files -n gvim-gnome
%defattr(644,root,root,755)
%attr(755,root,root) %{_prefix}/X11R6/bin/gvim.gnome
%{_applnkdir}/Editors/gvim-gnome.desktop
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: vim.spec,v $
Revision 1.135.2.1  2003/01/24 11:14:03  qboosh
- for Ra use ispell patch compatible with ispell 3.1
- release 2, STBR to ra/updates/security (because of patch 6.1.265)

Revision 1.135  2003/01/23 19:32:49  wiget
- updated to patchlevel 300

Revision 1.134  2002/12/27 01:47:11  qboosh
- rebuild with ispell patch updated for new dictionary format
- release 5

Revision 1.133  2002/10/30 22:09:32  radzio
- updated /usr/share/{syntax,indent}/ocaml.vim
- rel 4

Revision 1.132  2002/10/30 13:13:23  ankry
- desktops moved to toplevel Editors, cleaning, rel. 3

Revision 1.131  2002/10/11 22:14:32  ankry
- fixed vim-egrep.patch

Revision 1.130  2002/10/11 10:53:25  wiget
- added egrep patch (check for egrep unconditionaly)
- release 2

Revision 1.129  2002/10/09 16:19:29  wiget
- updated to 6.1.212
- removed libacl_fix.patch (vim uses libacl to check file atributes on acl-enabled filesystems (like XFS))
- BR: acl-devel

Revision 1.128  2002/10/02 09:08:49  qboosh
- removed linking with libelf (not necessary, seems not used at all)
- release 5

Revision 1.127  2002/09/30 06:46:31  kloczek
- reelase 4: added libacl_fix patch (linking with libacl on Linux isn't necessary).

Revision 1.126  2002/09/04 19:54:19  zytek
- release 3

Revision 1.125  2002/09/04 19:52:49  zytek
- reverted last changes, now updates to vimrc in vim-vimrc.patch
- fight with CVS ;)

Revision 1.124  2002/09/03 20:56:24  zytek
- added pld specific vimrc file (set background=dark)

Revision 1.123  2002/06/15 14:08:30  ankry
- %%lang(ja) fixes
- release 2

Revision 1.122  2002/05/21 23:14:53  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.121  2002/05/13 14:48:02  wiget
apply patches up to 6.1.063

Revision 1.120  2002/05/10 22:07:39  qboosh
- fixed vim-ispell
- build -static first then restore LDFLAGS; now vim can be built without any GUI
- release 3

Revision 1.119  2002/05/10 11:08:25  malekith
- release 2
- added ispell subpackage
- enabled ispell in gvim*
- needs testing, stbr

Revision 1.118  2002/05/08 15:34:27  wiget
typos

Revision 1.117  2002/05/08 15:00:54  wiget
- apply all official patches up to 057
- add -extra.tar.gz to sources (needed by patching procedure)

Revision 1.116  2002/04/11 12:46:04  qboosh
- -static Obsoletes: nvi,elvis-static; release 3

Revision 1.115  2002/04/04 11:05:32  qboosh
- removed BR Xaw3d-devel (gvim-athena uses plain Xaw),
  esound-devel (required by gnome-libs-devel)

Revision 1.114  2002/04/02 08:33:46  ankry
- reverting last change: there is no .bz2 source on ftp.

Revision 1.113  2002/03/31 07:10:59  filon
- switch to bz2 source for vim-lang
- release 2

Revision 1.112  2002/03/27 23:44:46  qboosh
- ac25x patch needed for autoconf 2.53
- added workaround to fix broken ncurses version

Revision 1.111  2002/03/27 14:50:45  wrobell
- lines which are important for patch levels are commented out with two
  hashmarks and space ('## ')
- tested building with ispell patch
- rel. 1
- stb

Revision 1.110  2002/03/27 14:11:22  wrobell
- removed php highlight patch - minlines should be set in configuration
  file

Revision 1.109  2002/03/26 17:54:59  wrobell
- ver. 6.1
- nfy

Revision 1.108  2002/03/20 23:54:26  kloczek
- release 3.

Revision 1.107  2002/03/13 13:52:51  jajcus
- no verify on help tags --- they may be rewritten by vim addons

Revision 1.106  2002/02/22 23:29:52  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.105  2002/02/21 20:24:45  ankry
- more translations: from KSI/RH

Revision 1.104  2002/02/20 19:41:28  qboosh
- fixed %%files

Revision 1.103  2002/02/19 23:45:22  ankry
- added non English man pages
- added ru/uk summaries/descriptions from KSI
- adapterized
- release 2

Revision 1.102  2002/02/18 21:27:23  qboosh
- fixed broken 6.0.044 in patches pack
- fixed ispell feature on Alpha (vim-ispell-axp patch)
- with ispell ":sp"==":split" again,
  spell-check also syntax-highlighted words (malekith)
- STBR

Revision 1.101  2002/02/12 17:13:00  filon
- updated to patchversion 6.0.208

Revision 1.100  2002/02/01 23:23:39  qboosh
- changed ispell patch: use personal dictionaries common with ispell (.ispell_*)
- fixed broken %%changelog from rev. 1.98 (rpm didn't like that)
- added bconds for ruby and tcl interps
- release 2

Revision 1.99  2002/02/01 23:16:58  filon
- patchlevel is now in version (look at vim after start)
- updated patches to 1-158
- added conditionals _with_python, _with_perl
- cosmatics
- previous commit went wrong - no log message :-(

Revision 1.98  2002/01/31 23:19:38  filon
-*** empty log message ***

Revision 1.97  2002/01/26 09:54:36  kloczek
- reelase 13: merge translations from Conectiva.

Revision 1.96  2002/01/22 22:35:52  qboosh
- typo

Revision 1.95  2002/01/18 02:15:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.94  2001/12/28 22:30:45  qboosh
- merged official patches 001-101 (skipping those to extra package)
- removed pl and shsyntax patches - fixes already in official patches
- temporarily disabled tr locale (broken)
- release 2

Revision 1.93  2001/12/28 17:15:58  gotar
- changes in descriptions.

Revision 1.92  2001/11/10 21:02:22  mkochano
- Added note that --without athena switch doesn't work.

Revision 1.91  2001/10/18 16:40:24  gotar
- cosmetics.

Revision 1.90  2001/10/01 21:56:41  qboosh
- there *are* es files; added the rest of .mo files
- removed WinCP-coded menus

Revision 1.89  2001/10/01 18:00:01  qboosh
- BuildRequires: autoconf, gettext-devel (msgfmt is used to make *.mo)

Revision 1.88  2001/09/30 13:41:36  mkochano
- Updated files list:
  1. Commented out %%lang(es) %%{_datadir}/vim/v*/lang/es --- there are
     no such files.
  2. Added some %%{_datadir}/vim/v*/lang/menu_*.vim files.
  3. s@%%{_mandir}/man1/vim.*@%%{_mandir}/man1/vim*@ so it catches
     vimtutor manual.
  NOTE: files from /usr/share/vim/vim60/tools/ aren't included.

Revision 1.87  2001/09/30 12:40:35  qboosh
- added shsyntax patch to fix sh.vim syntax highlight file

Revision 1.86  2001/09/28 12:28:00  qboosh
- updated to final 6.0, Release=1, Epoch=4

Revision 1.85  2001/09/18 20:46:16  wrobell
- vim can print, now (fixed file list)
- rel. 3, stb

Revision 1.84  2001/08/30 12:18:49  gotar
- awful %%configure macro expansions removed,
- other specs' changelogs cosmetical fixes,
- no functional nor release changes.

Revision 1.83  2001/08/29 19:21:07  qboosh
- switched to smaller .tar.bz2 source (instead of 4 .tar.gz files)
- updated ispell patch
- pl patch is back! (most important fix (format string) still isn't in source)
- release 2

Revision 1.82  2001/08/28 12:21:29  migo
- we don't need Source4
- added compiler plugins

Revision 1.81  2001/08/28 11:42:08  wiget
version 6.0at
release 1
pl.patch removed

Revision 1.80  2001/08/23 22:22:47  kloczek
- release 2.

Revision 1.79  2001/08/23 20:46:03  qboosh
- updated ispell patch
- removed GNOME information from gvim-gtk descriptions

Revision 1.78  2001/08/19 17:38:59  kloczek
- updated to 6.0ar.

Revision 1.77  2001/08/10 22:02:02  qboosh
- pl patch with fixes for SEGV and some nasty mistakes in pl messages
- release 3

Revision 1.76  2001/08/08 18:18:08  kloczek
- release 2.

Revision 1.75  2001/08/06 22:48:18  qboosh
- added ispell patch with online spell checking feature
  (conditional as it's non-standard feature and not heavily tested)

Revision 1.74  2001/08/06 16:37:31  qboosh
- removed commented out speed_t patch (obsolete)

Revision 1.73  2001/08/06 12:27:34  kloczek
- updated to 6.0aq.

Revision 1.72  2001/08/04 22:30:01  qboosh
- 6.0ap, removed obsolete lilo patch, uncommented pl messages
- xxd moved to /usr/bin, to separate package

Revision 1.71  2001/08/03 04:36:10  migo
- added colorscheme files

Revision 1.70  2001/07/26 07:20:57  kloczek
- fixed static linking for vim-static.

Revision 1.69  2001/07/25 11:52:13  migo
- typo gmp->gpm
- fixed configure options
- removed /var/lib/vim (or am i wrong?)
- commented Source2, it isn't needed
- cleanups
- release 3
- static package is still broken

Revision 1.68  2001/07/17 19:14:47  gotar
- added Requires: which for vim-rt package; it handles bashizm in vimtutor.

Revision 1.67  2001/07/13 15:00:14  blues
- release 2
- no changes - need rebuild with gpm-libs (ac 2.50 ready)

Revision 1.66  2001/06/04 15:17:38  kloczek
- updated to 6.0ai.

Revision 1.65  2001/06/04 14:51:48  baggins
- proper bcond handling

Revision 1.64  2001/06/01 12:57:47  misiek
- removed Build/Requires: iconv

Revision 1.63  2001/05/30 02:35:02  kloczek
- updated to 6.0ah.

Revision 1.62  2001/05/22 09:06:52  wiget
switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ -> _without_); no release changes only simple s/// perfored

Revision 1.61  2001/05/14 07:47:12  misiek
6.0af

Revision 1.60  2001/05/13 08:02:27  misiek
- Epoch: 2 to allow easy upgrade from 6.0z
- release 2

Revision 1.59  2001/05/09 15:42:31  misiek
- removed gettext patch
- updated to 6.0ae

Revision 1.58  2001/04/28 12:57:01  mkochano
- Release 4.
- Removed (commented out) polish translation file as it is completely broken.

Revision 1.57  2001/04/24 02:48:44  kloczek
- release 3.

Revision 1.56  2001/04/14 22:43:05  qboosh
- gettext patch - treating \ in multi-byte characters has changed

Revision 1.55  2001/04/12 18:42:21  kloczek
- merged lilo, phphighlight, paths, speed_t rawhide patches.

Revision 1.54  2001/04/10 19:19:33  baggins
- release 2
- visual patch is back

Revision 1.53  2001/04/02 18:23:31  misiek
v6.0z - first try; added gnome subpackage

Revision 1.52  2001/02/17 00:38:36  qboosh
- fixed optwin.vim path
- fixed MAKEEF - only one file can be placed here
- s/no_feature/_without_feature/
- release 13

Revision 1.51  2001/02/16 14:50:50  wiget
one glob more (fix missing menu.vim problem)
release 12

Revision 1.50  2001/02/13 13:45:31  wiget
added 5.7.024 patch from VIM site

Revision 1.49  2001/02/13 12:57:14  dobrek
-Realase=11

Revision 1.48  2001/02/13 12:45:50  wiget
menu.vim in corect place

Revision 1.47  2001/01/28 08:28:26  kloczek
- release 10,
- merge next bunch official patches (20-23),
- added using mktemp in turiorial (fixed potential tmp race bug) and added
  mktemp to Requires list for rt subpackage.

Revision 1.46  2000/12/31 00:40:50  kloczek
- fixed twice listed patches.

Revision 1.45  2000/12/30 23:03:10  kloczek
- release 9,
- added Epoch: 1 (for allow upgrade form RH version),
- added 10-19 official patches.

Revision 1.44  2000/12/28 15:47:07  baggins
- allow conditional non-static build (define _without_static for it)

Revision 1.43  2000/11/13 08:30:26  qboosh
- s/nofeature/no_feature/ in build section

Revision 1.42  2000/09/28 17:34:11  kloczek
- release 8,
- added using rpm new automation suit,
- <feactures> switches symbols changed to no_<feacture>.

Revision 1.41  2000/09/11 06:46:15  kloczek
- forgoten move menu file to %%{_sysconfdir}/vim/menu.

Revision 1.40  2000/09/11 06:02:51  kloczek
- typo in %files.

Revision 1.39  2000/09/11 05:38:26  kloczek
- release 7,
- merged some old BeroLinux de, fr, tr translations,
- added official vim 5.7 patches,
- added sysconfig patch (default [g]vimrc file in /etc/vim and default vim
  menu file is now /etc/vim/menu),
- now vim can be built without athena, motif or gtk subpackages,
- merged docpath and speed_t RH patches (slightly modified),
- some simplifications and cosmetics.

Revision 1.38  2000/09/10 20:02:46  wrobell
- separate desktop file for each gvim package
- gvim-gtk becomes main gvim package (it contains links: gvim, rgview, rgview)
- use of %%{_applnkdir} macro
- desktop files moved to %%{_applnkdir}/Development/Editors

Revision 1.37  2000/08/07 17:26:55  wrobell
- requires glibc-static package to build

Revision 1.36  2000/08/07 17:00:04  wrobell
- version 5.7

Revision 1.35  2000/07/13 23:28:48  baggins
- release 6
- rebuild with ncurses 5.1

Revision 1.34  2000/06/12 13:36:40  baggins
- change buildrequires from lesstif-devel to motif-devel

Revision 1.33  2000/06/09 07:24:01  kloczek
- added using %%{__make} macro.

Revision 1.32  2000/06/01 20:06:19  michuz
- release 4
- %%{_applnkdir} changed

Revision 1.31  2000/05/01 21:02:35  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.30  2000/04/25 16:16:48  baggins
- release++
- FHS 2.1, /var/state -> /var/lib

Revision 1.29  2000/04/01 11:15:52  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.28  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.27  2000/02/11 01:58:47  kloczek
- cosmetics.

Revision 1.26  2000/02/04 10:48:25  kura
- updated to 5.6
- sources are taken from FTP (cvs.vim.org sux)

Revision 1.25  1999/12/24 19:27:55  kura
- new spec (based on spec by PLD-Team)
